%define upstream_name Carp
%define upstream_version 1.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Alternative warn and die for modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Open3) >= 1.10.300
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Do not export private DB module stub
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(DB\\)

%description
The Carp routines are useful in your own modules because they act like
die() or warn(), but with a message which is more likely to be useful
to a user of your module.  In the case of cluck, confess, and longmess
that context is a summary of every call in the call-stack.  For a shorter
message you can use carp or croak which report the error as being from
where your module was called.  There is no guarantee that that is where
the error was, but it is a good educated guess.

You can also alter the way the output and logic of Carp works, by changing
some global variables in the Carp namespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Nov 15 2015 tv <tv> 1.380.0-1.mga6
+ Revision: 903339
- new release

* Sat Jun 27 2015 sander85 <sander85> 1.360.0-5.mga6
+ Revision: 845851
- update to 1.36

  + takashi <takashi>
    - update to 1.36

* Sat Oct 18 2014 umeabot <umeabot> 1.330.100-5.mga5
+ Revision: 787930
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.330.100-4.mga5
+ Revision: 740591
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.330.100-3.mga5
+ Revision: 732857
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.330.100-2.mga5
+ Revision: 683738
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 jquelin <jquelin> 1.330.100-1.mga5
+ Revision: 612566
- update to 1.3301

* Tue Mar 25 2014 jquelin <jquelin> 1.330.0-1.mga5
+ Revision: 608279
- update to 1.33

* Mon Feb 10 2014 jquelin <jquelin> 1.320.0-3.mga5
+ Revision: 587911
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 534879
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 1.320.0-1.mga4
+ Revision: 479922
- imported package perl-Carp

